Subject: Re: [bug-diffutils] bug#48062: bug#48062: make check fails if configured with --program-prefix

From: Collin Funk <[email-masked]>
Date: Mon, 24 Jun 2024 15:57:02 -0700

Paul Eggert <[email-masked]> writes:

> I'm not seeing that on my Fedora 40 build of diffutils. There is no
> file diffutils/gnulib-tests/test-pthread-cond.c in my source tree,
> after running './bootstrap --gnulib-refdir=$HOME/src/gnu/gnulib' in a
> fresh diffutils clone. Also, in a current Gnulib the command
> './gnulib-tool --test pthread-cond' works for me.
>
> Perhaps some files left over from one of your previous diffutils
> builds need to be cleaned out?

Mine works fine on Fedora 40 as well. Probably old files like Paul said.
I habitually run 'git clean -xdf' and './boostrap && ./configure' so I'm
not sure how possible that is. :)

Also, feel free to close this bug. I'm not very familiar with debbugs,
sorry.

Collin